﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;
using System.IO;
using Microsoft.Extensions.Configuration;
using System.Threading;
using BPASmartClient.Helper;
using BPASmartClient.Message;
using BPA.ApolloClient;
using BPA.ApolloClient.Options;
using Com.Ctrip.Framework.Apollo;

namespace BPASmartClient.Business
{
    /// <summary>
    /// 网络信息数据
    /// </summary>
    public class InternetInfo
    {
        /// <summary>
        /// 配置初始化
        /// </summary>
        public static void InitConfig()
        {
            NetworkConnectState = UniversalHelper.GetInstance().GetNetworkState();
            while (!NetworkConnectState)
            {
                NetworkConnectState = UniversalHelper.GetInstance().GetNetworkState();
                Thread.Sleep(2000);
            }

            ClientId = int.Parse(System.Configuration.ConfigurationManager.AppSettings["ClientId"]);
            
          
        }



        /// <summary>
        /// Consul 地址
        /// </summary>
        public static string ConsulAddress { get; set; }

        /// <summary>
        /// 网络连接状态
        /// </summary>
        public static bool NetworkConnectState { get; set; }

        /// <summary>
        /// 广告地址
        /// </summary>
        public static Uri SorbetesAddress { get; set; }

        /// <summary>
        /// 客户端ID
        /// </summary>
        public static int ClientId { get; set; }

        /// <summary>
        /// IOTAPI 地址
        /// </summary>
        public static string IotApiAddress { get; set; }

        #region MQTT连接信息
        /// <summary>
        /// mqtt 服务地址
        /// </summary>
        public static string MqttAddress { get; set; }

        /// <summary>
        /// mqtt 用户名
        /// </summary>
        public static string MqttUserName { get; set; }

        /// <summary>
        /// mqtt 密码
        /// </summary>
        public static string MqttPassword { get; set; }

        /// <summary>
        /// mqtt 端口号
        /// </summary>
        public static int MqttPort { get; set; }
        #endregion

        #region API地址

        /// <summary>
        /// Api 网关地址
        /// </summary>
        public static string ApiAddress { get; set; }

        /// <summary>
        /// 订单服务
        /// </summary>
        public static string OrderServer { get; set; }

        /// <summary>
        /// 库存服务
        /// </summary>
        public static string StockServer { get; set; }
        #endregion

    }
}
